Skip to main content
GET
/
meter
/
by-ref
/
{meter_ref}
Get Meter Info By Meter Ref
curl --request GET \
  --url https://api-sandbox.axle.energy/meter/by-ref/{meter_ref} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.axle.energy/meter/by-ref/{meter_ref}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.axle.energy/meter/by-ref/{meter_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "mpan": "<string>",
  "eligible_markets": [],
  "half_hourly_settled": true,
  "supplier_mpid": "<string>",
  "supplier_name": "<string>"
}
{
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

meter_ref
string
required

Encrypted reference of the meter whose info is requested, as returned from the /meter/search endpoint

Response

Meter information for the requested reference

Response model for meter information.

Contains details about a meter including its MPAN, settlement status, and supplier information.

mpan
string
required

Meter Point Administration Number

eligible_markets
enum<string>[]
required

Markets in which the meter is eligible to participate

An enumeration.

Available options:
cm,
dno,
wholesale
half_hourly_settled
boolean

Whether the meter is half-hourly settled

supplier_mpid
string

Market Participant ID of the supplier

supplier_name
string

Name of the electricity supplier